%define name	php-tclink
%define version	5.0.4
%define rversion 3.4.0

%define modname tclink
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A13_%{modname}.ini

Summary:	TCLink enables credit card processing via the TrustCommerce payment gateway
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
URL:		http://pecl.php.net/package/TCLink
License:	LGPL
Source0:	TCLink-%{rversion}.tar.bz2
Patch0:		TCLink-3.4.0-lib64.diff.bz2
BuildRequires:	php-devel >= 5.0.4
BuildRequires:	tclink-devel >= 3.4
Provides:	php5-tclink
Obsoletes:	php5-tclink
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package provides a module for using TCLink directly from PHP scripts.
TCLink is a thin client library to allow your e-commerce servers to connect
to the TrustCommerce payment gateway.

%prep

%setup -q -n TCLink-%{rversion}
%patch0 -p0

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix} \
    --with-ssl=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README docs/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_3.4.0-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_3.4.0-1mdk
- 5.0.4

* Fri Apr 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_3.4.0-5mdk
- lib64 fixes

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_3.4.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_3.4.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_3.4.0-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_3.4.0-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_3.4.0-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_3.4.0-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_3.4.0-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_3.4.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.4.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.4.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.4.0-1mdk
- initial cooker contrib (broken out from the tclink package)
